SVG to PNG conversion broken for text
Closed, ResolvedPublic

Description

Author: Jim.Henderson44

Description:
The full text of the email above

Several text strings can be displayed overlapping to the point of being unreadable, but the graph remains intact. This happens in the conversion from SVG to PNG. To see it happen:

  1. Go to http://en.wikipedia.org/wiki/A-weighting and see the broken PNG there.
  1. Double-click the image to go to the file area and see the broken PNG there.
  1. Download the file Lindos2.svg
  1. Open the downloaded file in an SVG viewer that works, such as IE 7 with the Adobe ActiveX control that comes from the file SVGView.exe, that you can download from http://www.adobe.com/svg/viewer/install/main.html

You'll see the text displayed properly.

This and similar images were placed in the Wikipedia pages by Pete Skirrow of the Lindos company. In an email he said:

I made the original images you mention, as well as some others for:

http://en.wikipedia.org/wiki/Weighting_filter
http://en.wikipedia.org/wiki/Weighting
http://en.wikipedia.org/wiki/Robinson-Dadson_curves
http://en.wikipedia.org/wiki/Programme_levels
http://en.wikipedia.org/wiki/ITU-R_468_noise_weighting
http://en.wikipedia.org/wiki/Rumble_(audio)
http://en.wikipedia.org/wiki/A-weighting

I can tell you that they all came up perfectly for years, but became
corrupted a few months ago. This suggests to me that the problem lies in the
.svg to .png translator that is applied to all Wikipedia page images, so
that they appear on the page as .png
<snip>
I think someone updated the Wikipedia conversion software, and that
it is now incompatible with .svg files generated in OpenOffice. If you look
at the last page listed above you will see that this graph is not corrupted,
and I think this is because this one was created after I discovered and
started using the free software Inkscape, which I now use and recommend to
make drawings.
<snip>

I'll attach the whole email.

Thanks for reading this far, and I hope someone can look into the module that does the conversion from SVG to PNG.

Jim


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC
URL: http://en.wikipedia.org/wiki/A-weighting

Attached: Lindos4_svg_at_Wikipedia.txt

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz17187.
bzimport created this task.Via LegacyJan 28 2009, 7:37 AM
bzimport added a comment.Via ConduitJan 28 2009, 7:42 AM

Jim.Henderson44 wrote:

The link that has the correct image on the Wikipedia page is

http://en.wikipedia.org/wiki/Rumble_(audio)

Jim

brion added a comment.Via ConduitJan 31 2009, 12:44 AM

Note also that there seems to be something wrong with that SVG file to begin with -- Firefox won't render it inline.

brion added a comment.Via ConduitAug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

gpaumier added a comment.Via ConduitDec 31 2009, 7:41 PM

All the example files now seem to render properly except [[:File:Lindos5.svg]], that can't be rendered by Firefox either as stated in comment #2.

bzimport added a comment.Via ConduitJan 10 2010, 10:13 PM

Jim.Henderson44 wrote:

I have just downloaded Lindos5.svg, opened it in InkScape, the program that Pete Skirrow recommended, made a trivial change and saved it again. Firefox can now display the corrected file (on my computer) correctly.

I tried to upload the new version of the picture to the sandbox to see how the converter to PNG handles it, but I am not an "autoconfirmed user", so I couldn't work out how to upload it.

If someone with that status would like to upload the corrected version, I could send it to you by email.

Jim

Peachey88 added a comment.Via ConduitJan 10 2010, 11:12 PM

Jim, attach it to this bug report then someone can do it easily.

bzimport added a comment.Via ConduitJan 11 2010, 4:11 AM

Jim.Henderson44 wrote:

Replacement image for http://en.wikipedia.org/wiki/File:Lindos5.svg

OK, here is the improved image to go in
http://en.wikipedia.org/wiki/File:Lindos5.svg
Thanks,

Jim

Attached: Lindos5.svg

Perhelion added a comment.Via ConduitJul 8 2011, 2:42 PM

File:Lindos5.svg doesn't exist, the attach is incorrectly in FF4, seems now
[[:File:Lindos1.svg]]?

ArielGlenn added a comment.Via ConduitSep 18 2011, 8:25 AM

giving svg bugs back to the pool.

Matanya added a comment.Via ConduitAug 5 2012, 8:47 PM

Tested on FF14. looks ok.

TheDJ added a comment.Via ConduitAug 5 2012, 11:46 PM

If you look at the file history, the same problem (squashed text in the PNG thumbs) still seems to be present. When it's about files, always check the history, because people tend to upload workaround on top of the problem file.

Perhelion added a comment.Via ConduitMar 23 2014, 11:20 PM

*** This bug has been marked as a duplicate of bug 33245 ***

Add Comment